org.apache.jmeter.protocol.http.util

## Interface HTTPConstantsInterface

- All Known Implementing Classes:
    AccessLogSampler, AjpSampler, HTTPAbstractImpl, HTTPConstants, HTTPFileImpl, HTTPHC4Impl, HTTPHCAbstractImpl, HTTPJavaImpl, HTTPSampler, HTTPSamplerBase, HTTPSamplerProxy

      public interface HTTPConstantsInterface

  Constants used in HTTP, mainly header names.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPLICATION_X_WWW_FORM_URLENCODED`
    `static String` | `CACHE_CONTROL`
    `static String` | `CONNECT`
    `static String` | `CONNECTION_CLOSE`
    `static String` | `COPY`
    `static String` | `DATE`
    `static int` | `DEFAULT_HTTP_PORT`
    `static String` | `DEFAULT_HTTP_PORT_STRING`
    `static int` | `DEFAULT_HTTPS_PORT`
    `static String` | `DEFAULT_HTTPS_PORT_STRING`
    `static String` | `DELETE`
    `static String` | `ENCODING_BROTLI`
    `static String` | `ENCODING_DEFLATE`
    `static String` | `ENCODING_GZIP`
    `static String` | `ETAG`
    `static String` | `EXPIRES`
    `static String` | `GET`
    `static String` | `HEAD`
    `static String` | `HEADER_AUTHORIZATION`
    `static String` | `HEADER_CONNECTION`
    `static String` | `HEADER_CONTENT_DISPOSITION`
    `static String` | `HEADER_CONTENT_ENCODING`
    `static String` | `HEADER_CONTENT_LENGTH`
    `static String` | `HEADER_CONTENT_TYPE`
    `static String` | `HEADER_COOKIE`
    `static String` | `HEADER_COOKIE_IN_REQUEST`
    `static String` | `HEADER_HOST`
    `static String` | `HEADER_LOCAL_ADDRESS`
    `static String` | `HEADER_LOCATION`
    `static String` | `HEADER_SET_COOKIE`
    `static String` | `HTTP_1_1`
    `static String` | `IF_MODIFIED_SINCE`
    `static String` | `IF_NONE_MATCH`
    `static String` | `KEEP_ALIVE`
    `static String` | `LAST_MODIFIED`
    `static String` | `LOCK`
    `static String` | `MKCALENDAR`
    `static String` | `MKCOL`
    `static String` | `MOVE`
    `static String` | `MULTIPART_FORM_DATA`
    `static String` | `OPTIONS`
    `static String` | `PATCH`
    `static String` | `POST`
    `static String` | `PROPFIND`
    `static String` | `PROPPATCH`
    `static String` | `PROTOCOL_HTTP`
    `static String` | `PROTOCOL_HTTPS`
    `static String` | `PUT`
    `static String` | `REPORT`
    `static String` | `SC_MOVED_PERMANENTLY`
    `static String` | `SC_MOVED_TEMPORARILY`
    `static String` | `SC_PERMANENT_REDIRECT`
    `static String` | `SC_SEE_OTHER`
    `static String` | `SC_TEMPORARY_REDIRECT`
    `static String` | `SEARCH`
    `static String` | `TRACE`
    `static String` | `TRANSFER_ENCODING`
    `static String` | `UNLOCK`
    `static String` | `VARY`

- - ### Field Detail

    - #### SC_MOVED_PERMANENTLY

          static final String SC_MOVED_PERMANENTLY

      See Also:
        Constant Field Values

    - #### SC_MOVED_TEMPORARILY

          static final String SC_MOVED_TEMPORARILY

      See Also:
        Constant Field Values

    - #### SC_SEE_OTHER

          static final String SC_SEE_OTHER

      See Also:
        Constant Field Values

    - #### SC_TEMPORARY_REDIRECT

          static final String SC_TEMPORARY_REDIRECT

      See Also:
        Constant Field Values

    - #### SC_PERMANENT_REDIRECT

          static final String SC_PERMANENT_REDIRECT

      See Also:
        Constant Field Values

    - #### DEFAULT_HTTPS_PORT

          static final int DEFAULT_HTTPS_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_HTTPS_PORT_STRING

          static final String DEFAULT_HTTPS_PORT_STRING

      See Also:
        Constant Field Values

    - #### DEFAULT_HTTP_PORT

          static final int DEFAULT_HTTP_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_HTTP_PORT_STRING

          static final String DEFAULT_HTTP_PORT_STRING

      See Also:
        Constant Field Values

    - #### PROTOCOL_HTTP

          static final String PROTOCOL_HTTP

      See Also:
        Constant Field Values

    - #### PROTOCOL_HTTPS

          static final String PROTOCOL_HTTPS

      See Also:
        Constant Field Values

    - #### HEAD

          static final String HEAD

      See Also:
        Constant Field Values

    - #### POST

          static final String POST

      See Also:
        Constant Field Values

    - #### PUT

          static final String PUT

      See Also:
        Constant Field Values

    - #### GET

          static final String GET

      See Also:
        Constant Field Values

    - #### OPTIONS

          static final String OPTIONS

      See Also:
        Constant Field Values

    - #### TRACE

          static final String TRACE

      See Also:
        Constant Field Values

    - #### DELETE

          static final String DELETE

      See Also:
        Constant Field Values

    - #### PATCH

          static final String PATCH

      See Also:
        Constant Field Values

    - #### PROPFIND

          static final String PROPFIND

      See Also:
        Constant Field Values

    - #### PROPPATCH

          static final String PROPPATCH

      See Also:
        Constant Field Values

    - #### MKCOL

          static final String MKCOL

      See Also:
        Constant Field Values

    - #### COPY

          static final String COPY

      See Also:
        Constant Field Values

    - #### MOVE

          static final String MOVE

      See Also:
        Constant Field Values

    - #### LOCK

          static final String LOCK

      See Also:
        Constant Field Values

    - #### UNLOCK

          static final String UNLOCK

      See Also:
        Constant Field Values

    - #### CONNECT

          static final String CONNECT

      See Also:
        Constant Field Values

    - #### REPORT

          static final String REPORT

      See Also:
        Constant Field Values

    - #### MKCALENDAR

          static final String MKCALENDAR

      See Also:
        Constant Field Values

    - #### SEARCH

          static final String SEARCH

      See Also:
        Constant Field Values

    - #### HEADER_AUTHORIZATION

          static final String HEADER_AUTHORIZATION

      See Also:
        Constant Field Values

    - #### HEADER_COOKIE

          static final String HEADER_COOKIE

      See Also:
        Constant Field Values

    - #### HEADER_COOKIE_IN_REQUEST

          static final String HEADER_COOKIE_IN_REQUEST

      See Also:
        Constant Field Values

    - #### HEADER_CONNECTION

          static final String HEADER_CONNECTION

      See Also:
        Constant Field Values

    - #### CONNECTION_CLOSE

          static final String CONNECTION_CLOSE

      See Also:
        Constant Field Values

    - #### KEEP_ALIVE

          static final String KEEP_ALIVE

      See Also:
        Constant Field Values

    - #### TRANSFER_ENCODING

          static final String TRANSFER_ENCODING

      See Also:
        Constant Field Values

    - #### HEADER_CONTENT_ENCODING

          static final String HEADER_CONTENT_ENCODING

      See Also:
        Constant Field Values

    - #### HTTP_1_1

          static final String HTTP_1_1

      See Also:
        Constant Field Values

    - #### HEADER_SET_COOKIE

          static final String HEADER_SET_COOKIE

      See Also:
        Constant Field Values

    - #### ENCODING_BROTLI

          static final String ENCODING_BROTLI

      See Also:
        Constant Field Values

    - #### ENCODING_DEFLATE

          static final String ENCODING_DEFLATE

      See Also:
        Constant Field Values

    - #### ENCODING_GZIP

          static final String ENCODING_GZIP

      See Also:
        Constant Field Values

    - #### HEADER_CONTENT_DISPOSITION

          static final String HEADER_CONTENT_DISPOSITION

      See Also:
        Constant Field Values

    - #### HEADER_CONTENT_TYPE

          static final String HEADER_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### HEADER_CONTENT_LENGTH

          static final String HEADER_CONTENT_LENGTH

      See Also:
        Constant Field Values

    - #### HEADER_HOST

          static final String HEADER_HOST

      See Also:
        Constant Field Values

    - #### HEADER_LOCAL_ADDRESS

          static final String HEADER_LOCAL_ADDRESS

      See Also:
        Constant Field Values

    - #### HEADER_LOCATION

          static final String HEADER_LOCATION

      See Also:
        Constant Field Values

    - #### APPLICATION_X_WWW_FORM_URLENCODED

          static final String APPLICATION_X_WWW_FORM_URLENCODED

      See Also:
        Constant Field Values

    - #### MULTIPART_FORM_DATA

          static final String MULTIPART_FORM_DATA

      See Also:
        Constant Field Values

    - #### IF_NONE_MATCH

          static final String IF_NONE_MATCH

      See Also:
        Constant Field Values

    - #### IF_MODIFIED_SINCE

          static final String IF_MODIFIED_SINCE

      See Also:
        Constant Field Values

    - #### ETAG

          static final String ETAG

      See Also:
        Constant Field Values

    - #### LAST_MODIFIED

          static final String LAST_MODIFIED

      See Also:
        Constant Field Values

    - #### EXPIRES

          static final String EXPIRES

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL

          static final String CACHE_CONTROL

      See Also:
        Constant Field Values

    - #### DATE

          static final String DATE

      See Also:
        Constant Field Values

    - #### VARY

          static final String VARY

      See Also:
        Constant Field Values

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.